SDL_shaders_gl.h File Reference
`#include "../../SDL_internal.h"`
Include dependency graph for SDL_shaders_gl.h:

Go to the source code of this file.

## Typedefs

typedef struct GL_ShaderContext | GL_ShaderContext

## Enumerations

enum | GL_Shader { SHADER_NONE, SHADER_SOLID, SHADER_RGB, SHADER_YUV_JPEG, SHADER_YUV_BT601, SHADER_YUV_BT709, SHADER_NV12_JPEG, SHADER_NV12_BT601, SHADER_NV12_BT709, SHADER_NV21_JPEG, SHADER_NV21_BT601, SHADER_NV21_BT709, NUM_SHADERS }

## Functions

GL_ShaderContext * | GL_CreateShaderContext (void)
void | GL_SelectShader (GL_ShaderContext *ctx, GL_Shader shader)
void | GL_DestroyShaderContext (GL_ShaderContext *ctx)

## Typedef Documentation

## GL_ShaderContext

typedef struct GL_ShaderContext GL_ShaderContext

Definition at line 41 of file SDL_shaders_gl.h.

## Enumeration Type Documentation

## GL_Shader

enum GL_Shader

Enumerator
SHADER_NONE |
SHADER_SOLID |
SHADER_RGB |
SHADER_YUV_JPEG |
SHADER_YUV_BT601 |
SHADER_YUV_BT709 |
SHADER_NV12_JPEG |
SHADER_NV12_BT601 |
SHADER_NV12_BT709 |
SHADER_NV21_JPEG |
SHADER_NV21_BT601 |
SHADER_NV21_BT709 |
NUM_SHADERS |

Definition at line 25 of file SDL_shaders_gl.h.

{
SHADER_NONE,
SHADER_SOLID,
SHADER_RGB,
SHADER_YUV_JPEG,
SHADER_YUV_BT601,
SHADER_YUV_BT709,
SHADER_NV12_JPEG,
SHADER_NV12_BT601,
SHADER_NV12_BT709,
SHADER_NV21_JPEG,
SHADER_NV21_BT601,
SHADER_NV21_BT709,
NUM_SHADERS
} GL_Shader;
SHADER_NV21_JPEG
Definition: SDL_shaders_gl.h:35
SHADER_YUV_JPEG
Definition: SDL_shaders_gl.h:29
NUM_SHADERS
Definition: SDL_shaders_gl.h:38
SHADER_YUV_BT709
Definition: SDL_shaders_gl.h:31
GL_Shader
GL_Shader
Definition: SDL_shaders_gl.h:25
SHADER_SOLID
Definition: SDL_shaders_gl.h:27
SHADER_NV12_JPEG
Definition: SDL_shaders_gl.h:32
SHADER_YUV_BT601
Definition: SDL_shaders_gl.h:30
SHADER_NV12_BT709
Definition: SDL_shaders_gl.h:34
SHADER_NONE
Definition: SDL_shaders_gl.h:26
SHADER_RGB
Definition: SDL_shaders_gl.h:28
SHADER_NV21_BT709
Definition: SDL_shaders_gl.h:37
SHADER_NV12_BT601
Definition: SDL_shaders_gl.h:33
SHADER_NV21_BT601
Definition: SDL_shaders_gl.h:36

## Function Documentation

## GL_CreateShaderContext()

GL_ShaderContext* GL_CreateShaderContext | ( | void |  | ) |

## GL_DestroyShaderContext()

void GL_DestroyShaderContext | ( | GL_ShaderContext * | ctx | ) |

## GL_SelectShader()

void GL_SelectShader | ( | GL_ShaderContext * | ctx,
|  | GL_Shader | shader
| ) |  |